## Name

lc — Lists codes (i.e. region attributes) 'region_id', 'material_id' and 'los' within a group or combination.

## Synopsis

`lc` [ -d | -s ] [-r] [-z] [ -2 | -3 | -4 | -5 ] [ -f { `FileName` }] {`GroupName`}

## DESCRIPTION

The 'lc' command lists a set of codes (i.e. attributes) of regions within a group/combination. Listed in columns are the following 'region_id', 'material_id', 'los', 'region name', 'region parent'. If a value is unset, it is reported as '--'.

## OPTIONS

`-d`

  Specifies to list only regions with duplicate 'region_id'.

`-s`

  Same as '-d' except some duplicates will not be reported (i.e. skipped). Skipped duplicates will be those within the specified group, that have the same parent, 'material_id' and 'los'.

`-r`

  Remove regions from the list in which their parent is a region and the region is subtracted within the parent. The '-r' option can be combined with any other option.

`-z`

  Specifies descending (z-a) sort order.

`-2`, `-3`, `-4`, `-5`

  Specifies sort column 2, 3, 4 or 5.

`-f FileName`

  Identifies output should be to a file and specifies the file name. If the path is not included as part of the 'FileName' the path will be the 'current directory'.

## AUTHOR

BRL-CAD Team

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.